Runtime

## org.eclipse.gmf.runtime.notation
Interface Connector

All Superinterfaces:
  ConnectorStyle, Edge, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, LineStyle, org.eclipse.emf.common.notify.Notifier, RoutingStyle, Style, View

All Known Implementing Classes:
  ConnectorImpl

    public interface Connector

extends Edge, ConnectorStyle

A representation of the model object 'Connector'.

Since:
  1.2
See Also:
  `NotationPackage.getConnector()`
** Generated **
Model:

Method Summary

Methods inherited from interface org.eclipse.gmf.runtime.notation.Edge
`createBendpoints, createSourceAnchor, createTargetAnchor, getBendpoints, getSource, getSourceAnchor, getTarget, getTargetAnchor, setBendpoints, setSource, setSourceAnchor, setTarget, setTargetAnchor`

Methods inherited from interface org.eclipse.gmf.runtime.notation.View
`createChild, createStyle, getChildren, getDiagram, getElement, getNamedStyle, getPersistedChildren, getSourceEdges, getStyle, getStyles, getTargetEdges, getTransientChildren, getType, getVisibleChildren, insertChild, insertChild, insertChildAt, isMutable, isSetElement, isVisible, persist, persistChildren, removeChild, setElement, setMutable, setType, setVisible, unsetElement`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.gmf.runtime.notation.RoutingStyle
`getJumpLinkStatus, getJumpLinkType, getRoundedBendpointsRadius, getRouting, getSmoothness, isAvoidObstructions, isClosestDistance, isJumpLinksReverse, setAvoidObstructions, setClosestDistance, setJumpLinksReverse, setJumpLinkStatus, setJumpLinkType, setRoundedBendpointsRadius, setRouting, setSmoothness`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.gmf.runtime.notation.LineStyle
`getLineColor, getLineWidth, setLineColor, setLineWidth`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.